package it.integry.integrywmsnative.gest.accettazione.ui;

import java.util.List;

import it.integry.integrywmsnative.core.di.BindableBoolean;
import it.integry.integrywmsnative.gest.accettazione.dto.OrdineAccettazioneInevasoDTO;

public class MainListAccettazioneListModel {

    private String groupTitle;

    private String description;

    private boolean hidden;
    private BindableBoolean selected = new BindableBoolean();


    private OrdineAccettazioneInevasoDTO originalModel;
    private List<MainListAccettazioneClienteListModel> clientiListModel;


    public String getGroupTitle() {
        return groupTitle;
    }

    public MainListAccettazioneListModel setGroupTitle(String groupTitle) {
        this.groupTitle = groupTitle;
        return this;
    }

    public String getDescription() {
        return description;
    }

    public MainListAccettazioneListModel setDescription(String description) {
        this.description = description;
        return this;
    }

    public boolean isHidden() {
        return hidden;
    }

    public MainListAccettazioneListModel setHidden(boolean hidden) {
        this.hidden = hidden;
        return this;
    }

    public BindableBoolean getSelectedObservable() {
        return selected;
    }

    public OrdineAccettazioneInevasoDTO getOriginalModel() {
        return originalModel;
    }

    public MainListAccettazioneListModel setOriginalModel(OrdineAccettazioneInevasoDTO originalModel) {
        this.originalModel = originalModel;
        return this;
    }

    public List<MainListAccettazioneClienteListModel> getClientiListModel() {
        return clientiListModel;
    }

    public MainListAccettazioneListModel setClientiListModel(List<MainListAccettazioneClienteListModel> clientiListModel) {
        this.clientiListModel = clientiListModel;
        return this;
    }
}
